Package org.apache.lucene.facet.taxonomy

## Class TaxonomyFacetIntAssociations

- java.lang.Object
- - org.apache.lucene.facet.Facets
  - - org.apache.lucene.facet.taxonomy.TaxonomyFacets
    - - org.apache.lucene.facet.taxonomy.IntTaxonomyFacets
      - - org.apache.lucene.facet.taxonomy.TaxonomyFacetIntAssociations

- Direct Known Subclasses:
    `TaxonomyFacetSumIntAssociations`

      public class TaxonomyFacetIntAssociations
      extends IntTaxonomyFacets

  Aggregates int values previously indexed with `IntAssociationFacetField`, assuming the default encoding. The aggregation function is defined by a provided `AssociationAggregationFunction`.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.facet.taxonomy.IntTaxonomyFacets

      `aggregationFunction, sparseValues, values`

    - ### Fields inherited from class org.apache.lucene.facet.taxonomy.TaxonomyFacets

      `config, indexFieldName, taxoReader`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaxonomyFacetIntAssociations​(String indexFieldName, TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, AssociationAggregationFunction aggregationFunction)` | Create `TaxonomyFacetIntAssociations` against the specified index field.
    `TaxonomyFacetIntAssociations​(TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, AssociationAggregationFunction aggregationFunction)` | Create `TaxonomyFacetIntAssociations` against the default index field.

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.facet.taxonomy.IntTaxonomyFacets

      `getAllChildren, getSpecificValue, getTopChildren, getTopDims, getValue, increment, increment, rollup, useHashTable`

    - ### Methods inherited from class org.apache.lucene.facet.taxonomy.TaxonomyFacets

      `childrenLoaded, getAllDims, siblingsLoaded, verifyDim`

    - ### Methods inherited from class org.apache.lucene.facet.Facets

      `validateTopN`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaxonomyFacetIntAssociations

          public TaxonomyFacetIntAssociations​(TaxonomyReader taxoReader,
                                              FacetsConfig config,
                                              FacetsCollector fc,
                                              AssociationAggregationFunction aggregationFunction)
                                       throws IOException

      Create `TaxonomyFacetIntAssociations` against the default index field.
      Throws:
        `IOException`

    - #### TaxonomyFacetIntAssociations

          public TaxonomyFacetIntAssociations​(String indexFieldName,
                                              TaxonomyReader taxoReader,
                                              FacetsConfig config,
                                              FacetsCollector fc,
                                              AssociationAggregationFunction aggregationFunction)
                                       throws IOException

      Create `TaxonomyFacetIntAssociations` against the specified index field.
      Throws:
        `IOException`